> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom Form

> Create custom forms for specific data collection needs.



## OpenAPI

````yaml api-reference-legacy/openapi.json POST /api/v2/verification/custom_form
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        enum:
          - integrate
          - api.ph
        description: >-
          IDmeta environment subdomain. Use `api.ph` for
          portalph.idmetagroup.com and `integrate` for verify.idmetagroup.com.
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
paths:
  /api/v2/verification/custom_form:
    post:
      tags:
        - Customize
      summary: Custom Form (Coming Soon)
      description: Create custom forms for specific data collection needs.
      operationId: customFormSubmission
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomFormRequest'
            examples:
              default:
                summary: Custom form request body
                value:
                  template_id: 123
                  verification_id: 1101da93-6470-491d-a054-b742fdf83d5b
      responses:
        '200':
          description: Custom form request processed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFormResponse'
              example:
                status: true
                message: Form submitted successfully
                result:
                  submission_id: null
                  data:
                    'null': John Doe
                    template_id: '132'
                    verification_id: 1101da93-6470-491d-a054-b742fdf83d5b
components:
  schemas:
    CustomFormRequest:
      type: object
      required:
        - template_id
        - verification_id
      properties:
        template_id:
          type: integer
          description: >-
            Identifier used to categorize or group requests for tracking or
            reporting.
        verification_id:
          type: string
          description: A unique ID used to identify your verification request.
      additionalProperties: true
    CustomFormResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        result:
          type: object
          properties:
            submission_id:
              nullable: true
            data:
              type: object
              additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.